FS_NEWCELL(1)

NAME
fs_newcell - Changes the kernel-resident list of a cell's database servers

SYNOPSIS
fs newcell -name <cell name> -servers <primary servers>+
    [-linkedcell <linked cell name>] [-help]

fs n -n <cell name> -s <primary servers>+
    [-l <linked cell name>] [-h]

DESCRIPTION
The fs newcell command removes the Cache Manager's kernel-resident list of database server machines for the cell specified by the -name argument and replaces it with the database server machines named by the -servers argument.

Each time the machine reboots, the Cache Manager constructs the kernel list of cells and database server machines by reading the local /usr/vice/etc/CellServDB file. This command does not change the CellServDB file, so any changes made with it persist only until the next reboot, unless the issuer also edits the file. The output of the fs listcells command reflects changes made with this command, because that command consults the kernel-resident list rather than the CellServDB file.

This command can introduce a completely new cell into the kernel-resident list, but cannot make a cell inaccessible (it is not possible to remove a cell's entry from the kernel-resident list by providing no values for the -server argument). To make a cell inaccessible, remove its entry from the CellServDB file and reboot the machine.

If the -name argument names a DCE cell, then the -servers argument names DFS Fileset Location (FL) Server machines. The -linkedcell argument specifies the name of the AFS cell to link to a DCE cell for the purpose of DFS fileset location.

CAUTIONS
Some commands, such as the aklog or klog.krb5 commands, work correctly only when the information is accurate for a cell in both the CellServDB file and the kernel-resident list.

OPTIONS

-name <cell name>
    Specifies the fully-qualified cell name of the AFS or DCE cell.

-servers <primary servers>+
    Specifies the fully-qualified hostnames of all AFS database server machines or DFS Fileset Location (FL) Server machines for the cell named by the -name argument. If FL Server machines are specified, the local machine must be running the AFS/DFS Migration Toolkit Protocol Translator.

-linkedcell <linked cell name>
    Specifies the name of the AFS cell to link to a DCE cell for the purpose of DFS fileset location.

-help
    Prints the online help for this command. All other valid options are ignored.

WINDOWS
The fs newcell command on Windows differs from the Unix version in a few ways.

fs newcell with no arguments discards the existing cell information. The Windows client will reload a cell's information the next time it needs the server list for a cell.

Secondly, in addition to accepting the Unix options, fs newcell on Windows accepts the following options:

-dns
    Adds the new cell to the cache manager, and obtains the VLDB server information from DNS.

-registry
    Adds the new cell to the cache manager, and also saves the cell configuration data in the registry for use the next time the service restarts.

-vlport <cell VLDB server port>
    Specifies an alternate port number at which the cell's volume location database servers are listening.

-fsport <cell fileserver port>
    Specifies an alternate port number at which the cell's file servers are listening.

EXAMPLES
The following example changes the machine's kernel-resident list of database server machines for the ABC Corporation cell to include the machines "db1.abc.com" and "db2.abc.com":

   % fs newcell -name abc.com -servers db1.abc.com db2.abc.com

The following example links the DCE cell "dce.abc.com" to the AFS cell "abc.com". The AFS client contacts the Fileset Location (FL) servers "db1.dce.abc.com" and "db2.dce.abc.com" for fileset location information as it interprets a DFS pathname.

   % fs newcell -name dce.abc.com \
       -servers db1.dce.abc.com db2.dce.abc.com \
       -linkedcell abc.com

PRIVILEGE REQUIRED
The issuer must be logged in as the local superuser root.

SEE ALSO
CellServDB(5), fs_listcells(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.